//index.js
//获取应用实例
const util = require('../../verify_mpsdk/utils/util')

const app = getApp();

Page({
  data: {
    tokenTips: '请输入token',
    token: '',
    isFormal: false,
  },
  onLoad: function () {
    this.setData({
      token: '',
      isTokenOk: true,
    });
  },
  // 监听token的输入
  bindTokenInput(e) {
    this.setData({
      isTokenOk: e.detail.value,
      token: e.detail.value,
    });
  },
  getToken(){
    const wxReq = {
      url: `${wx.verifyBaseUrl}/api/intentionVerify/getToken`,
      method: 'GET'
    }
    util.requestPromise(wxReq).then(res => {
      if (res.statusCode !== 200) {
        wx.showModal({
          title: '提示',
          content: '获取token异常,请稍后重试',
          showCancel: false,
          complete: () => {
            console.log('enterRoom finish')
          }
        })
      } else if (res.data.code !== 0) {
        wx.showModal({
          title: '提示',
          content: `${res.data.message}`,
          showCancel: false,
          complete: () => {
            console.log('enterRoom fail')
          }
        })
      } else {
        this.setData({
          isTokenOk: true,
          token:res.data.data.token,
        });
      }
    }).catch(error => {
      console.log(error)
      wx.showModal({
        title: '提示',
        content: '网络异常,请稍后重试',
        showCancel: false
      })
    })
  },
  gotoASR(){
    wx.verify_TOKEN = this.data.token;
    wx.navigateTo({
      url: '/verify_mpsdk/index/index?verifyAsr=true'
    })
  },
  // 调用实名核身SDK
  gotoVerify: function () {
    let self = this;
    // 调用实名核身功能
    wx.startVerify({
      // 传入的数据
      data: {
        token: this.data.token,
        // endPath:"/pages/verify/verify"
      },
      // 验证成功后触发
      success: function (data) {
        console.log('收到验证成功的回调');
        console.log(data);
        setTimeout(() => {
          wx.showModal({
            title: '收到验证成功的回调',
            content: `${data.BizToken}`,
            showCancel: false,
          });
        }, 500);
      },
      // 验证失败时触发
      fail: function (err) {
        console.log('收到验证失败的回调');
        setTimeout(() => {
          wx.showModal({
            title: '收到验证失败的回调',
            content: `${err.ErrorMsg}`,
            showCancel: false,
          });
        }, 500);
      },
    });
  },
});
